POST SaleStakeholder
Some tooltip text!
• 5 minutes to read
• 5 minutes to read
POST /api/v1/SaleStakeholder
Creates a new SaleStakeholder
Calls the Sale agent service SaveSaleStakeholder. NsApiSlow threshold: 1000 ms.
Query String Parameters
| Parameter Name | Type | Description |
|---|---|---|
| $select | string | Optional comma separated list of properties to include in the result. Other fields are then nulled out to reduce payload size: "Name,department,category" Default = show all fields. |
POST /api/v1/SaleStakeholder?$select=name,department,category/id
Request Headers
| Parameter Name | Description |
|---|---|
| Authorization | Supports 'Basic', 'SoTicket' and 'Bearer' schemes, depending on installation type. |
| X-XSRF-TOKEN | If not using Authorization header, you must provide XSRF value from cookie or hidden input field |
| Content-Type | Content-type of the request body: application/json, text/json, application/xml, text/xml, application/x-www-form-urlencoded, application/json-patch+json, application/merge-patch+json |
| Accept | Content-type(s) you would like the response in: application/json, text/json, application/xml, text/xml, application/json-patch+json, application/merge-patch+json |
| Accept-Language | Convert string references and multi-language values into a specified language (iso2) code. |
| SO-Language | Convert string references and multi-language values into a specified language (iso2) code. Overrides Accept-Language value. |
| SO-Culture | Number, date formatting in a specified culture (iso2 language) code. Partially overrides SO-Language/Accept-Language value. Ignored if no Language set. |
| SO-TimeZone | Specify the timezone code that you would like date/time responses converted to. |
| SO-AppToken | The application token that identifies the partner app. Used when calling Online WebAPI from a server. |
Request Body: newEntity
The SaleStakeholder to be saved.
| Property Name | Type | Description |
|---|---|---|
| StakeholderRoleName | String | Stakeholder role name |
| Comment | String | Optional comment text |
| StakeholderRoleId | Integer | Stakeholde role list id - Primary key |
| CountryId | Integer | Country id - primary key |
| PersonId | Integer | Person id - Primary key |
| EmailDescription | String | E-mail description |
| EmailId | Integer | E-mail address id - Primary key |
| EmailAddress | String | E-mail address |
| PhoneId | Integer | Primary key |
| ContactName | String | Contact name |
| ContactId | Integer | Contact ID of person or contact who is the sale stakeholder |
| SaleId | Integer | Parent sale |
| Mrmrs | String | e.g. Mrs, Mr, Ms, Dr. |
| Firstname | String | First name |
| MiddleName | String | Middle name or 'van' etc. |
| Lastname | String | Last name |
| SaleStakeholderId | Integer | Primary key |
| Rank | Integer | Rank in list of stakeholders |
| Phone | String | Phone number |
Response:
OK
| Response | Description |
|---|---|
| 200 | OK |
Response body: SaleStakeholderWithLinks
| Property Name | Type | Description |
|---|---|---|
| StakeholderRoleName | string | Stakeholder role name |
| Comment | string | Optional comment text |
| StakeholderRoleId | int32 | Stakeholde role list id - Primary key |
| CountryId | int32 | Country id - primary key |
| PersonId | int32 | Person id - Primary key |
| EmailDescription | string | E-mail description |
| EmailId | int32 | E-mail address id - Primary key |
| EmailAddress | string | E-mail address |
| PhoneId | int32 | Primary key |
| ContactName | string | Contact name |
| ContactId | int32 | Contact ID of person or contact who is the sale stakeholder |
| SaleId | int32 | Parent sale |
| Mrmrs | string | e.g. Mrs, Mr, Ms, Dr. |
| Firstname | string | First name |
| MiddleName | string | Middle name or 'van' etc. |
| Lastname | string | Last name |
| SaleStakeholderId | int32 | Primary key |
| Rank | int32 | Rank in list of stakeholders |
| Phone | string | Phone number |
| TableRight | TableRight | The carrier's table right |
| FieldProperties | object | Field property dictionary mapping field names to field access rights. |
| _Links | object |
Sample request
POST /api/v1/SaleStakeholder
Authorization: Basic dGplMDpUamUw
Accept: application/json; charset=utf-8
Accept-Language: *
Content-Type: application/json; charset=utf-8
{
"StakeholderRoleName": "Cormier, Botsford and Kerluke",
"Comment": "enim",
"StakeholderRoleId": 136,
"CountryId": 651,
"PersonId": 375,
"EmailDescription": "destin_kuphal@rempel.biz",
"EmailId": 508,
"EmailAddress": "queenie@zieme.com",
"PhoneId": 480,
"ContactName": "Murazik, Lebsack and Hodkiewicz",
"ContactId": 327,
"SaleId": 943,
"Mrmrs": "nostrum",
"Firstname": "Alfredo",
"MiddleName": "Jewess-Klein",
"Lastname": "Friesen",
"SaleStakeholderId": 839,
"Rank": 430,
"Phone": "443.305.7301 x8292"
}
Sample response
HTTP/1.1 200 OK
Content-Type: application/json; charset=utf-8
{
"StakeholderRoleName": "Hilpert, Hilpert and Stiedemann",
"Comment": "culpa",
"StakeholderRoleId": 507,
"CountryId": 970,
"PersonId": 92,
"EmailDescription": "vicenta@harris.info",
"EmailId": 389,
"EmailAddress": "nasir@quitzonmedhurst.co.uk",
"PhoneId": 115,
"ContactName": "Gutkowski-Emard",
"ContactId": 656,
"SaleId": 874,
"Mrmrs": "et",
"Firstname": "Ellie",
"MiddleName": "Batz Group",
"Lastname": "Brakus",
"SaleStakeholderId": 103,
"Rank": 235,
"Phone": "1-494-603-2780 x891",
"TableRight": null,
"FieldProperties": {
"fieldName": {
"FieldRight": null,
"FieldType": "System.Int32",
"FieldLength": 47
}
},
"_Links": {
"Self": "https://www.example.com/api/v1/project/321",
"Archive": "https://www.example.com/api/v1/project"
}
}